Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version:		2.0.14
%define subrel		1
Release:		%mkrel 4
License:		GPLv2+
Group:			System/Servers
Epoch:			2
URL:			http://www.tedfelix.com/linux/acpid-netlink.html
Source0:		http://www.tedfelix.com/linux/%{name}-%{version}.tar.gz
Source1:		acpid.rc
Source2:		acpid.service
Patch0:			acpid-2.0.7-makefile.patch
Patch1:			acpid-CVE-2011-2777.patch
ExclusiveArch:		%{ix86} x86_64
Requires(post):		chkconfig >= 1.3.37-3
Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner. The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q
%patch0 -p1 -b .makefile
%patch1 -p0 -b .CVE-2011-2777

%build
%serverbuild
# Don't use standard optflag, correct LDFLAGS
sed -i -e "/^OPT = /d"  -e "1iLDFLAGS = -pie %{ldflags}" Makefile
OPT="%{optflags} -fPIC" %make

%install
%makeinstall_std
mkdir -p %{buildroot}/%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/acpid
mkdir -p %{buildroot}/lib/systemd/system
install -m755 %{SOURCE2} %{buildroot}/lib/systemd/system

install -d %{buildroot}%{_sysconfdir}/acpi/actions

%clean
rm -rf %{buildroot}

%triggerpostun -- acpid < 2:1.0.6-7
/sbin/chkconfig --level 7 acpid reset

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%doc README TODO Changelog
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man8/*
%{_initrddir}/acpid
/lib/systemd/system/acpid.service
%dir %{_sysconfdir}/acpi/actions




%changelog

* Fri Aug 10 2012 luigiwalser <luigiwalser> 2:2.0.14-4.1.mga2
+ Revision: 280407
- add patch from debian to fix CVE-2011-2777

  + tmb <tmb>
    - Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 2:2.0.14-3.mga2
+ Revision: 233488
- rebuild for versioned rpm-helper requires

* Sun Jan 08 2012 tmb <tmb> 2:2.0.14-2.mga2
+ Revision: 193219
- rebuild for missing signature

* Sun Jan 08 2012 tv <tv> 2:2.0.14-1.mga2
+ Revision: 193055
- new release

* Sun Nov 20 2011 zezinho <zezinho> 2:2.0.13-1.mga2
+ Revision: 169773
- new version

* Tue Aug 30 2011 tv <tv> 2:2.0.12-1.mga2
+ Revision: 136397
- add missing LSB keywords
- really fix acpid.rc: /proc/acpi/event is an old and deprecated interface (mdv)
- new release
- patch 2: fix acpid.rc: /proc/acpi/event is an old and deprecated interface (mdv)
- added systemd unit

  + kharec <kharec>
    - new version 2.0.10

* Sat Apr 16 2011 pterjan <pterjan> 2:2.0.9-1.mga1
+ Revision: 86580
- Update to 2.0.9

* Wed Apr 13 2011 tv <tv> 2:2.0.8-1.mga1
+ Revision: 84179
- drop patch 0 (merged upstream)
- new release

* Fri Feb 11 2011 dmorgan <dmorgan> 2:2.0.7-2.mga1
+ Revision: 50096
- Add patch to fix build

  + ennael <ennael>
    - remove mnb
    - remove old conflict

  + kharec <kharec>
    - imported package acpid

